﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Configuration.Install;
using System.Runtime.InteropServices;
using System.IO;
using System.Diagnostics;

namespace TabSaver
{
    [RunInstaller(true)]
    public partial class TabSaverInstaller : Installer
    {
        public TabSaverInstaller()
        {
            InitializeComponent();
        }

        public override void Install(System.Collections.IDictionary stateSaver)
        {
            base.Install(stateSaver);

            RegistrationServices Registrar = new RegistrationServices();
            Registrar.RegisterAssembly(this.GetType().Assembly, AssemblyRegistrationFlags.None);
        }

        public override void Rollback(System.Collections.IDictionary stateSaver)
        {
            base.Rollback(stateSaver);

            RegistrationServices Registrar = new RegistrationServices();
            Registrar.UnregisterAssembly(this.GetType().Assembly);
        }

        public override void Uninstall(System.Collections.IDictionary stateSaver)
        {
            base.Uninstall(stateSaver);

            RegistrationServices Registrar = new RegistrationServices();
            Registrar.UnregisterAssembly(this.GetType().Assembly);
        } 
    }
}
